// pages/message/message.js
const app = getApp()
var host = app.globalData.host;
const $api = require('../../utils/api.js').API;
var timer;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        focus:false,
        scrollTop:0,
        template_id:"S7423qLZ0QBhHAI6lfqYwc6CILw5EtADmN3m_5oMnts",
        subscribe:false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
      this.getData()
      wx.getStorage({
        key: this.data.template_id,
        success: res=> {
          this.setData({
            subscribe: true
          })
        },
      })
    },
    getData(){
        var _this=this;
        f()
        timer=setInterval(f,10000)
        function f(){
          $api.getconsult().then(res=>{
            _this.setData({
                list:res.data.data.list
            })
        })
        }
    },
    inputchange(e) {
        this.setData({
            comment: e.detail.value
        })
    },
    subscribe(){
      const template_id = this.data.template_id
      const that = this;
      wx.requestSubscribeMessage({
        tmplIds: [template_id],
        success (res) { 
          if(res[template_id]=='accept'){
            wx.setStorage({
              key: template_id,
              data: "accept",
            })
            that.setData({
              subscribe:true
            })
          }
        }
      })
    },
    post(){
        var data={
          cotent:this.data.comment
        }
        if(!data.cotent){
            return
        }
        $api.consult(data).then(res=>{
          this.getData()
          this.setData({
            comment:''
          })
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
      let that = this;
      wx.createSelectorQuery().select("#messageScroll").boundingClientRect(function(rect){
        console.log(rect)
        wx.pageScrollTo({
          scrollTop:rect.height,
          duration:100
        })
      }).exec()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {
      
    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {
      clearInterval(timer)
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})